[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TSharedCustomBitmap.HandleAllocated

Determines if the handle for the shared bitmap has been allocated.

## Declaration

Source position: graphics.pp line 1363

`public function TSharedCustomBitmap.HandleAllocated: Boolean; override;`

## Function result

True when the handle has a non-zero value.

## Description

HandleAllocated is an overridden method used to determine if the handle for the shared bitmap has been allocated. HandleAllocated implements the abstract virtual method defined in TSharedImage.

The return value is True when the internal handle has a non-zero value.

## See also

TSharedImage.HandleAllocated |  | Indicates whether a handle been allocated for the image.